<!-- <div class="modal fade" [class.show]="showModal" [style.display]="showModal ? 'block' : 'none'" tabindex="-1" role="dialog"> -->
<!-- <div class="modal-dialog modal-dialog-centered modal-lg" role="document"> -->
  <div class="modal-content">
      <!-- Modal content here -->
      <div class="modal-header">
        <h1 class="modal-title fs-5" id="exampleModalToggleLabel">
          <strong>Timesheet Entry</strong>
        </h1>
      </div>
      <div class="modal-body">
        <form [formGroup]="timesheetFormGroup" (ngSubmit)="onSubmit()">
          <!-- <div formGroupName="timesheet" (ngSubmit)="onSubmit()"> -->
          <div formGroupName="timesheet">
            <div class="row mb-3">
              <label class="col-sm-2 col-form-label">Project</label>
              <div class="col-sm-10">
                <input formControlName="projectName" type="text" class="form-control"/>
              </div>
            </div>
            <div class="row mb-3">
              <label class="col-sm-2 col-form-label">Task</label>
              <div class="col-sm-10">
                <input formControlName="taskName" type="text" class="form-control"/>
              </div>
            </div>
            <div class="row mb-3">
              <label class="col-sm-2 col-form-label">Date From</label>
              <div class="col">
                <input formControlName="taskStartDt" type="date" class="form-control"/>
              </div>
              <label class="col-sm-2 col-form-label">Date To</label>
              <div class="col">
                <input formControlName="taskEndDt" type="date" class="form-control" />
              </div>
            </div>
            <div class="row mb-3">
              <label class="col-sm-2 col-form-label">Status</label>
              <div class="col-sm-10">
                <!-- <input formControlName="taskStatus" type="text" class="form-control"/> -->
                <select (change)=selectedHandlerStatusId($event) formControlName="taskStatus" class="form-control">
                  <option *ngFor="let status of statusList" [ngValue]="status.statusName">
                    {{ status.statusName }}
                  </option>
                </select>
              </div>
            </div>
            <div class="row mb-3">
              <label class="col-sm-2 col-form-label">Assign To</label>
              <div class="col-sm-10">
                <!-- <input formControlName="assignUser" type="text" class="form-control"/> -->
                <select (change)=selectedHandlerUserId($event) formControlName="assignUser" class="form-control">
                  <option *ngFor="let user of userList" [ngValue]="user.userName">
                    {{ user.userName }}
                  </option>
                </select>
              </div>
            </div>
            <div class="d-flex justify-content-center">
              <button type="submit"  class="btn btn-primary me-5">Save</button>
              <button type="button"  class="btn btn-primary" (click)="onNoClick()">Close</button>
              <!-- <button  class="btn btn-primary me-5" [class.show]="closeModal">Save</button> -->
              <!-- <button  class="btn btn-primary" [class.show]="closeModal">Close</button> -->
            </div>
          </div>
        </form>
      </div>
    </div>
  <!-- </div> -->
<!-- <div class="modal-backdrop fade" [class.show]="showModal" *ngIf="showModal"></div> -->
